[gcode_macro MOVE_MAINTENANCE]
description: Moves The Nozzle To Maintenance Position
gcode:
    {% if "xyz" not in printer.toolhead.homed_axes %}
        G28 ; home if not already homed
    {% endif %}

    {% set pos_x = printer.save_variables.variables.maintenance_x | default(printer.toolhead.axis_maximum.x / 2) | int %}
    {% set pos_y = printer.save_variables.variables.maintenance_y | default(printer.toolhead.axis_maximum.y) | int %}
    {% set pos_z = printer.save_variables.variables.maintenance_z | default(100) | int %}

    G90
    G0 X{ pos_x } Y{ pos_y } F2000
    G0 Z{ pos_z } F600